## vdpaumpegdec vdpaumpegdec |

## Properties

gchar * | display | Read / Write / Construct

## Types and Values

struct | GstVdpMpegDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstVdpDecoder
                            ╰── GstVdpMpegDec

## Description

FIXME:Describe vdpaumpegdec here.

### Example launch line

    1
    gst-launch-1.0 -v -m fakesrc ! vdpaumpegdec ! fakesink silent=TRUE

## Synopsis

### Element Information

plugin | vdpau
author | Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
class | Decoder

### Element Pads

name | sink
direction | sink
presence | always
details | video/mpeg, mpegversion=(int)[ 1, 2 ], systemstream=(boolean)false

name | src
direction | source
presence | always
details | video/x-raw(memory:VdpVideoSurface), format=(string){ YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string){ YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVdpMpegDec

    struct GstVdpMpegDec;

## Property Details

### The `“display”` property

      “display”                  gchar *

X Display name.

Flags: Read / Write / Construct

Default value: NULL